| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bnorm.cpp File Reference

Program to normalize a set of images based on their histograms. More...

`#include "rwimg.h"`
`#include "rwmg.h"`
`#include "mg_processing.h"`
`#include "mg_tomography.h"`
`#include "mg_img_proc.h"`
`#include "file_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to normalize a set of images based on their histograms.

Author
  Bernard Heymann

Date
  Created: 20030411
  Modified: 20160617

Definition in file bnorm.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 48 of file bnorm.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bnorm [options] input.star/input.img [input2.star/output.img]",
"--------------------------------------------------------------------",
"Normalizes a set of images based on their histograms.",
" ",
"Actions:",
"-replacemaxima 57.5 Replace maxima above the given threshold with surrounding average.",
"-type simple Normalization type: simple, Gaussian or Poisson.",
"-local 25 Normalization using local average and standard deviation.",
"-truncate -0.5,1.2 Truncate data to minimum and maximum before mass normalization.",
"-rescale 0.5,1.5 Average and standard deviation for output.",
"-images Input slices of a single 3D image as 2D images.",
"-slices Output 2D images as z-slices of a single 3D image.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype u Force writing of a new data type.",
" ",
"Output:",
"-output file.star Output parameter file.",
" ",
NULL
}

Definition at line 23 of file bnorm.cpp.

## ◆ verbose

int verbose